summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build_archlinux_pkg.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-12-11 15:28:10 +0100
committerHolger Levsen <holger@layer-acht.org>2015-12-11 15:28:10 +0100
commit88e7c6c70d0ab5b6d6388dd89f7cf979c759ce12 (patch)
treeb04bcf3af7e88bbb924b445e18a9ce9febf067c4 /bin/reproducible_build_archlinux_pkg.sh
parent0b2cdb24f3b720c90cf0243ec3ac8f271d96f7c5 (diff)
downloadjenkins.debian.net-88e7c6c70d0ab5b6d6388dd89f7cf979c759ce12.tar.xz
fixup ee696ff even more: reproducible archlinux maintenance
Diffstat (limited to 'bin/reproducible_build_archlinux_pkg.sh')
-rwxr-xr-xbin/reproducible_build_archlinux_pkg.sh13
1 files changed, 7 insertions, 6 deletions
diff --git a/bin/reproducible_build_archlinux_pkg.sh b/bin/reproducible_build_archlinux_pkg.sh
index c0a651b6..18426ac9 100755
--- a/bin/reproducible_build_archlinux_pkg.sh
+++ b/bin/reproducible_build_archlinux_pkg.sh
@@ -170,9 +170,10 @@ second_build() {
remote_build() {
local BUILDNR=$1
local NODE=$ARCHLINUX_BUILD_NODE
+ local FQDN=$NODE.debian.net
local PORT=22
set +e
- ssh -p $PORT $NODE /bin/true
+ ssh -p $PORT $FQDN /bin/true
RESULT=$?
# abort job if host is down
if [ $RESULT -ne 0 ] ; then
@@ -181,25 +182,25 @@ remote_build() {
sleep ${SLEEPTIME}m
exec /srv/jenkins/bin/abort.sh
fi
- ssh -p $PORT $NODE /srv/jenkins/bin/reproducible_build_archlinux_pkg.sh $BUILDNR $REPOSITORY ${SRCPACKAGE} ${TMPDIR}
+ ssh -p $PORT $FQDN /srv/jenkins/bin/reproducible_build_archlinux_pkg.sh $BUILDNR $REPOSITORY ${SRCPACKAGE} ${TMPDIR}
RESULT=$?
if [ $RESULT -ne 0 ] ; then
- ssh -p $PORT $NODE "rm -r $TMPDIR" || true
+ ssh -p $PORT $FQDN "rm -r $TMPDIR" || true
handle_remote_error "with exit code $RESULT from $NODE for build #$BUILDNR for ${SRCPACKAGE} from $REPOSITORY"
fi
- rsync -e "ssh -p $PORT" -r $NODE:$TMPDIR/b$BUILDNR $TMPDIR/
+ rsync -e "ssh -p $PORT" -r $FQDN:$TMPDIR/b$BUILDNR $TMPDIR/
RESULT=$?
if [ $RESULT -ne 0 ] ; then
echo "$(date -u ) - rsync from $NODE failed, sleeping 2m before re-trying..."
sleep 2m
- rsync -e "ssh -p $PORT" -r $NODE:$TMPDIR/b$BUILDNR $TMPDIR/
+ rsync -e "ssh -p $PORT" -r $FQDN:$TMPDIR/b$BUILDNR $TMPDIR/
RESULT=$?
if [ $RESULT -ne 0 ] ; then
handle_remote_error "when rsyncing remote build #$BUILDNR results from $NODE"
fi
fi
ls -R $TMPDIR
- ssh -p $PORT $NODE "rm -r $TMPDIR"
+ ssh -p $PORT $FQDN "rm -r $TMPDIR"
set -e
}